Support » Plugin: Facebook for WooCommerce » WC_Plugin_Compatibility::get_latest_wc_versions()

  • Resolved takuremwa

    (@takuremwa)


    Hi, I need help resolving this error

    – cURL error 28: Operation timed out after 1001 milliseconds with 0 out of 0 bytes received
    SkyVerge\W\P\v\SV_WC_Plugin_Compatibility::get_latest_wc_versions()
    wp-content/plugins/facebook-for-woocommerce/vendor/skyverge/wc-plugin-framework/woocommerce/class-sv-wc-plugin-compatibility.php:141
    SkyVerge\W\P\v\SV_WC_Plugin->add_admin_notices()
    wp-content/plugins/facebook-for-woocommerce/vendor/skyverge/wc-plugin-framework/woocommerce/class-sv-wc-plugin.php:560
    WC_Facebookcommerce->add_admin_notices()
    wp-content/plugins/facebook-for-woocommerce/class-wc-facebookcommerce.php:253
    do_action(‘admin_notices’)
    wp-includes/plugin.php:470`

    The plugin is up to date Version 2.6.6. I am running PhP 7.3.32 and wordpress 5.8.1

    Regards

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Support Bartosz B. a11n

    (@bartoszbudzanowski)

    Hi @takuremwa,

    Is this a constant problem, or does it happen occasionally?

    The line where the timeout happens is fetching the list of the WooCommerce plugin versions to check for compatibility. This is the file that the plugin is trying to fetch:
    https://api.wordpress.org/plugins/info/1.0/woocommerce.json

    can you download the file manually?

    For some reason, your server is not able to fetch the file before the timeout. You will need to check your server configuration if there is anything interfering with the file fetch. Probably the best course of action is to contact your hosting provider if you are using any hosting.

    Best Regards,
    Bartosz

    Plugin Support Joey – a11n

    (@jricketts4)

    Hi @takuremwa – I have to agree with @bartoszbudzanowski on this error. If you follow the instructions he pointed out and still have problems, please let us know!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘WC_Plugin_Compatibility::get_latest_wc_versions()’ is closed to new replies.